=== debian/changelog ===
nvidia-container-runtime (3.5.0-1) UNRELEASED; urgency=medium

  * Add dependence on nvidia-container-toolkit >= 1.5.0
  * Refactor the whole project for easier extensibility in the future
  * Move main to cmd/nvidia-container-runtime to make it go-installable
  * Switch to logrus for logging and refactor how logging is done
  * Update to Golang 1.16.3
  * Improvements to build and CI system
  * Reorganize the code structure and format it correctly

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Thu, 29 Apr 2021 05:10:29 +0000

nvidia-container-runtime (3.4.2-1) UNRELEASED; urgency=medium

  * Add dependence on nvidia-container-toolkit >= 1.4.2

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Fri, 05 Feb 2021 02:30:49 +0000

nvidia-container-runtime (3.4.1-1) UNRELEASED; urgency=medium

  * Update README to list 'compute' as part of the default capabilities
  * Switch to gomod for vendoring
  * Update to Go 1.15.6 for builds
  * Add dependence on nvidia-container-toolkit >= 1.4.1

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Mon, 25 Jan 2021 02:34:42 +0000

nvidia-container-runtime (3.4.0-1) UNRELEASED; urgency=medium

  * Bump version to v3.4.0
  * Add dependence on nvidia-container-toolkit >= 1.3.0

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Wed, 16 Sep 2020 13:48:15 +0000

nvidia-container-runtime (3.3.0-1) UNRELEASED; urgency=medium

  * e550cb15 Update package license to match source license
  * f02eef53 Update project License
  * c0fe8aae Update dependence on nvidia-container-toolkit to 1.2.0

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Wed, 08 Jul 2020 20:23:05 +0000

nvidia-container-runtime (3.2.0-1) UNRELEASED; urgency=medium

  * e486a70e Update build system to support multi-arch builds
  * 854f4c48 Require new MIG changes

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Fri, 15 May 2020 12:04:57 +0000

nvidia-container-runtime (3.1.4-1) UNRELEASED; urgency=medium

  * Split into nvidia-container-runtime and nvidia-container-runtime-hook

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Wed, 07 Mar 2018 05:47:37 +0000
